Subject: [MOBILE-IP] retrieving MN's link layer address

From: Ashish Mehta <[email-masked]>
Date: Mon, 31 Jan 2000 15:01:27 -0800

The revised version of the draft, draft-ietf-mobileip-rfc2002-bis-01.txt
mentions in section 4.2.2. "Foreign Agent Considerations":

"A foreign agent MUST NOT use broadcast ARP for a mobile node's MAC
address on a foreign network.  It may obtain the MAC address by
copying the information from an Agent Solicitation or a Registration
Request transmitted from a mobile node"

The question is for various implementors, how does IP retrieve
the link layer address from the link layer? Has anyone implemented
this piece? A (reliable) solution does not seem apparent to me, so
any comments/insights would be welcome.

ashish